Package org.jfree.layouting.renderer.background

## Class ImageBackground

- java.lang.Object
- - org.jfree.layouting.renderer.background.SimpleBackground
  - - org.jfree.layouting.renderer.background.ImageBackground

-     public class ImageBackground
      extends SimpleBackground

  A complex background.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageBackground​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `getClipX​()` |
    `CSSValue` | `getClipY​()` |
    `StrictDimension` | `getContentSize​()` |
    `RenderLength` | `getHeight​()` |
    `CSSValue` | `getOriginX​()` |
    `CSSValue` | `getOriginY​()` |
    `CSSValue` | `getRepeatX​()` |
    `CSSValue` | `getRepeatY​()` |
    `java.lang.Object` | `getResource​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getSource​()` |
    `RenderLength` | `getWidth​()` |
    `RenderLength` | `getX​()` |
    `RenderLength` | `getY​()` |
    `void` | `setClipX​(CSSValue clipX)` |
    `void` | `setClipY​(CSSValue clipY)` |
    `void` | `setContentSize​(StrictDimension contentSize)` |
    `void` | `setHeight​(RenderLength height)` |
    `void` | `setOriginX​(CSSValue originX)` |
    `void` | `setOriginY​(CSSValue originY)` |
    `void` | `setRepeatX​(CSSValue repeatX)` |
    `void` | `setRepeatY​(CSSValue repeatY)` |
    `void` | `setResource​(java.lang.Object resource)` |
    `void` | `setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey source)` |
    `void` | `setWidth​(RenderLength width)` |
    `void` | `setX​(RenderLength x)` |
    `void` | `setY​(RenderLength y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.background.SimpleBackground

      `getBackgroundColor`

- - ### Constructor Detail

    - #### ImageBackground

          public ImageBackground​()

  - ### Method Detail

    - #### getResource

          public java.lang.Object getResource​()

    - #### setResource

          public void setResource​(java.lang.Object resource)

    - #### getContentSize

          public StrictDimension getContentSize​()

    - #### setContentSize

          public void setContentSize​(StrictDimension contentSize)

    - #### getSource

          public org.pentaho.reporting.libraries.resourceloader.ResourceKey getSource​()

    - #### setSource

          public void setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey source)

    - #### getWidth

          public RenderLength getWidth​()

    - #### setWidth

          public void setWidth​(RenderLength width)

    - #### getHeight

          public RenderLength getHeight​()

    - #### setHeight

          public void setHeight​(RenderLength height)

    - #### getX

          public RenderLength getX​()

    - #### setX

          public void setX​(RenderLength x)

    - #### getY

          public RenderLength getY​()

    - #### setY

          public void setY​(RenderLength y)

    - #### getRepeatX

          public CSSValue getRepeatX​()

    - #### setRepeatX

          public void setRepeatX​(CSSValue repeatX)

    - #### getRepeatY

          public CSSValue getRepeatY​()

    - #### setRepeatY

          public void setRepeatY​(CSSValue repeatY)

    - #### getOriginX

          public CSSValue getOriginX​()

    - #### setOriginX

          public void setOriginX​(CSSValue originX)

    - #### getOriginY

          public CSSValue getOriginY​()

    - #### setOriginY

          public void setOriginY​(CSSValue originY)

    - #### getClipX

          public CSSValue getClipX​()

    - #### setClipX

          public void setClipX​(CSSValue clipX)

    - #### getClipY

          public CSSValue getClipY​()

    - #### setClipY

          public void setClipY​(CSSValue clipY)